HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Storage Profile with {providerProfileId}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve a generated storage profile using the providerProfileId returned from a storage optimization request.

Use this endpoint to inspect one of the post-storage profiles created by Add Storage Profile. To retrieve a generated storage profile using the Arcadia-generated profile identifier, use Get Storage Profile with profileId.

Generated storage profiles commonly use the providerProfileId prefix from the storage request with one of these suffixes:

  • -usage for post-storage grid imports to site
  • -solar for post-storage grid exports from solar
  • -storage for grid imports and exports to and from the battery

Resource URI

GET /rest/v1/profiles/pid/{providerProfileId}

Path parameters

ParameterTypeDescription
providerProfileIdStringProvider profile ID for one generated post-storage profile. Required.

Query parameters

ParameterTypeDescription
populateIntervalsBooleanWhen true, includes interval values in the response. Defaults to false. Use with groupBy.
groupByStringGroups returned interval data by YEAR, MONTH, DAY, HOUR, or QTRHOUR. Intervals are not returned when this field is omitted.
fromDateTimeDateTimeStart date for returned intervals or readings. Optional.
toDateTimeDateTimeEnd date for returned intervals or readings. Optional.
fieldsStringUse dataStatus to poll profile processing status. Optional.
asTariffTimezoneBooleanWhen true, returns profile readings and intervals in the account tariff's timezone when a tariff is set. Optional.

For full details on the storage profile workflow, generated post-storage profiles, and response interpretation, see Storage Profiles API.

Example

GET /rest/v1/profiles/pid/sins-example-jun23-poststorage-storage?populateIntervals=true&groupBy=HOUR

A successful response returns a standard response payload with type set to UsageProfile and one generated storage profile in the results array.

{
  "status": "success",
  "count": 1,
  "type": "UsageProfile",
  "results": [
    {
      "profileId": "b7559f37-8020-4969-8bd1-48d8c3d58976",
      "providerProfileId": "sins-example-jun23-poststorage-storage",
      "serviceTypes": "ELECTRICITY",
      "dataStatus": 2
    }
  ]
}
Path Params
string
required

Get a storage profile with the providerProfileId returned in the storage optimization request

Query Params
boolean

When true, the results will contain Interval values. The default is false. NOTE: This must be used in concert with the groupBy parameter.

string
enum

The groupBy value denotes what duration of interval data to return (or group by). When this field is not set, the intervals are not returned.

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json